summaryrefslogtreecommitdiffstats
path: root/scripts/poky-qemu
diff options
context:
space:
mode:
authorRichard Purdie <richard@openedhand.com>2007-01-16 13:49:34 +0000
committerRichard Purdie <richard@openedhand.com>2007-01-16 13:49:34 +0000
commit990788b29580f8689933b5af21dc9cb62c726b0e (patch)
tree58b7cb274830e8f615b78dbd7ab7452276a1ae9a /scripts/poky-qemu
parent6531611d9a02ebee72229ee475601a5717222e56 (diff)
downloadopenembedded-core-contrib-990788b29580f8689933b5af21dc9cb62c726b0e.tar.gz
scripts: Rename scripts, update README
git-svn-id: https://svn.o-hand.com/repos/poky/trunk@1146 311d38ba-8fff-0310-9ca6-ca027cbcb966
Diffstat (limited to 'scripts/poky-qemu')
-rwxr-xr-xscripts/poky-qemu45
1 files changed, 45 insertions, 0 deletions
diff --git a/scripts/poky-qemu b/scripts/poky-qemu
new file mode 100755
index 0000000000..8710e05dd6
--- /dev/null
+++ b/scripts/poky-qemu
@@ -0,0 +1,45 @@
+#!/bin/sh
+#
+# Handle running Poky images standalone
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 2 as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+#
+
+if [ "x$1" = "x" ]; then
+ MYNAME=`basename $0`
+ echo -e "\nRun as MACHINE=xyz $MYNAME ZIMAGE IMAGEFILE"
+ echo "where:"
+ echo " ZIMAGE - the kernel image file to use"
+ echo " IMAGEFILE - the image file/location to use"
+ echo " (NFS booting assumed if IMAGEFILE not specified)"
+ echo " MACHINE=xyz - the machine name (optional, autodetected from ZIMAGE if unspecified)"
+ exit 1
+else
+ ZIMAGE=$1
+fi
+
+if [ "x$2" = "x" ]; then
+ TYPE="nfs"
+else
+ TYPE="ext2"
+ HDIMAGE=$2
+fi
+
+if [ "x$MACHINE" = "x" ]; then
+ MACHINE=`basename $ZIMAGE | sed -e 's#.*-\([a-z]*\)-*[0-9]*..*#\1#'`
+fi
+
+INTERNAL_SCRIPT=`which poky-qemu-internal`
+source $INTERNAL_SCRIPT
+